package org.globus.transfer.reliable.service.test.client;

import junit.framework.TestCase;
import javax.xml.namespace.QName;
import org.globus.rft.generated.TransferType;
import org.globus.wsrf.ResourcePropertySet;
import org.globus.wsrf.impl.SimpleResourcePropertySet;
import org.globus.transfer.reliable.service.exception.RftException;
import org.globus.transfer.reliable.service.RFTResourceManager;
import org.globus.transfer.reliable.service.client.ClientFactory;
import org.globus.transfer.reliable.service.client.GetPutTransferClient;


public class GetPutTransferClientTest extends TestCase
{
    private static int requestId = -1;
    private static int transferId = -1;
    private static int concurrency = -1;

    private static TransferType transferJob = null;
    private static ResourcePropertySet rpSet = null;
    private static GetPutTransferClient client = null;
    private static RFTResourceManager resourceManager = null;

    protected void setUp() throws Exception
    {
        super.setUp();
        GetPutTransferClientTest.requestId = 42;
        GetPutTransferClientTest.transferId = 42;
        GetPutTransferClientTest.concurrency = 42;
        String namespaceURI = "http://www.globus.org/test";
        String localName = "GetPutTransferClientTest";
        QName myQName= new QName(namespaceURI,localName);
        GetPutTransferClientTest.rpSet = new SimpleResourcePropertySet(myQName);
        GetPutTransferClientTest.resourceManager
            = new RFTResourceManager(
                GetPutTransferClientTest.requestId,
                GetPutTransferClientTest.concurrency,
                GetPutTransferClientTest.rpSet);
        GetPutTransferClientTest.transferJob = new TransferType();
    }

    public static void testGetPutTransferClient()
    {	
        try
        {
            GetPutTransferClientTest.client =
                ClientFactory.createGetPutTransferClient(
                GetPutTransferClientTest.transferJob,
                GetPutTransferClientTest.resourceManager,
                GetPutTransferClientTest.rpSet,
                GetPutTransferClientTest.transferId);
        }
        catch (Exception e)
        {
            fail("Failed to createGetPutTransferClient: " + e);
        }
    }

    public static void testProcess()
    {
        fail("Not yet implemented");
    }
}
